#include <iostream>

using namespace std;

int main() {
    int N,K;
    cin>> N>> K;
    int array[N];
    for(int i = 0; i < N; i++){
        cin>>array[i];
    }
    int i = 0;
    while(array[i] != K){
        i++;
    }
    
    if(i+1==N){
        cout<< array[0];
    }
    else {
        cout<< array[i+1];
    }
}